* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  scroll-behavior: smooth;
}

::selection {
  background-color: var(--main-color);
  color: #fff;
}

:root {
  --main-color: #fc2a38;
  --white: #ffffff;
  --lightwhite: #c6c8c9;
  --bg1: #040404;
  --bg2: #0c0c0c;
  --border: rgba(255, 255, 255, 0.14);
}

html {
  overflow-x: hidden;
}
body {
  font-family: "Poppins", sans-serif;
  font-size: 16px;
  line-height: 1.5;
  font-weight: 400;
  overflow-x: hidden;
  color: var(--white);
  background-color: var(--bg1);
  position: relative;
}

body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: url("../img/mask_group.svg") no-repeat center center / cover;
  z-index: -1;
  opacity: 0.7;
  animation: opacityAnimation 6s ease-in-out infinite;
}

a {
  text-decoration: none;
}

a:focus {
  box-shadow: none;
}

ul {
  padding: 0;
  margin-bottom: 0;
}

ul li {
  list-style: none;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-bottom: 0;
}

/* font size */

h1 {
  font-family: "Bricolage Grotesque", sans-serif;
  font-weight: 500;
  font-size: 62px;
  line-height: 1.2;
}

h2 {
  font-family: "Bricolage Grotesque", sans-serif;
  font-weight: 500;
  font-size: 42px;
  line-height: 1.3;
}

h3 {
  font-weight: 500;
  font-size: 38px;
  line-height: 1.3;
}

h4 {
  font-weight: 500;
  font-size: 24px;
  line-height: 1.3;
}

h5 {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.5;
}
h6 {
  font-weight: 500;
  font-size: 18px;
  line-height: 1.5;
}
p {
  font-size: 16px;
  line-height: 1.5;
  font-weight: 400;
  color: var(--lightwhite);
}
.fs-14 {
  font-size: 14px;
  line-height: 1.5;
}
/* font size */
.transition-3 {
  transition: all 0.3s linear;
  -webkit-transition: all 0.3s linear;
  -moz-transition: all 0.3s linear;
  -ms-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
}

.text-underline {
  text-decoration: underline;
}
.light-white {
  color: var(--lightwhite);
}
.primary {
  color: var(--main-color);
}

.border {
  border: 1px solid var(--border);
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  list-style: none;
  list-style-type: none;
  text-decoration: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

.fs-section {
  padding: 80px 0;
}
body.overflowY {
  overflow-y: hidden;
}

.btn-fill {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  padding: 15px 34px;
  border: 0;
  border-radius: 100px;
  background-color: var(--main-color);
  color: #ffffff;
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
}
.btn-fill p {
  font-weight: 500;
}
.btn-fill:hover {
  background-color: #008d97;
}
.btn-fill svg {
  width: 24px;
  height: 24px;
  transition: all 0.5s linear;
}
.btn-fill:hover svg {
  transform: rotate(41deg);
}

/* button2 */
.button2 {
  padding: 0.8em 1.8em;
  border: 1px solid var(--main-color);
  position: relative;
  overflow: hidden;
  background-color: transparent;
  text-align: center;
  font-size: 16px;
  transition: 0.3s;
  z-index: 1;
  font-family: inherit;
  color: #fff;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.button2::before {
  content: "";
  width: 0;
  height: 350%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  background: var(--main-color);
  transition: 0.5s ease;
  display: block;
  z-index: -1;
}

.button2:hover::before {
  width: 105%;
}
.button2 svg {
  position: relative;
  transform: translateY(-2px);
}

.cursor {
  position: fixed;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: var(--main-color);
  pointer-events: none;
  mix-blend-mode: difference;
  z-index: 9999;
  transform: translate(-50%, -50%);
  transition: width 0.2s, height 0.2s;
}

.cursor-follower {
  position: fixed;
  width: 40px;
  height: 40px;
  border: 2px solid var(--main-color);
  border-radius: 50%;
  pointer-events: none;
  z-index: 9998;
  mix-blend-mode: difference;
  transform: translate(-50%, -50%);
  transition: all 0.2s ease-out;
}

/* <==========header section start===========> */
.sticky-header {
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
}
.header-wrapper {
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
  position: relative;
}

.header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100%;
  height: auto;
  margin: 0 auto;
  padding: 15px 12px;
  transition: all 0.35s ease;
  padding: 20px;
}
.header::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(2.5px);
}

.header.on-scroll {
  background: rgba(255, 255, 255, 0.95);
  box-shadow: var(--shadow-medium);
}

.navbar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  column-gap: 1.25rem;
  padding: 0;
  border-radius: 100px;
  width: 100%;
  height: auto;
  margin: 0 auto;
}

.brand {
  width: auto;
  max-width: 150px;
  height: 80px;
  overflow: hidden;
}

.brand img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.menu {
  position: fixed;
  top: 72px;
  right: -100%;
  width: 100%;
  height: 100%;
  padding: 3rem 0;
  overflow: hidden;
  background-color: #000;
  box-shadow: var(--shadow-medium);
  z-index: 5;
}

.menu.is-active {
  top: 85px;
  right: 0;
  width: 100%;
  transition: all 0.4s ease-in-out;
}

.menu-inner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 0.5rem;
}

.menu-link {
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #fff;
  transition: all 0.3s linear;
  position: relative;
}
.menu-link.active {
  color: var(--main-color);
}
.menu-link:hover {
  color: var(--main-color);
}
.burger {
  position: relative;
  display: block;
  cursor: pointer;
  user-select: none;
  order: 1;
  z-index: 10;
  width: 1.6rem;
  height: 1.15rem;
  border: none;
  outline: none;
  background: none;
  visibility: visible;
  margin-left: auto;
  transform: rotate(0deg);
  transition: 0.35s ease;
}

.burger-line {
  position: absolute;
  display: block;
  left: 0;
  width: 100%;
  height: 1.5px;
  border: none;
  outline: none;
  opacity: 1;
  border-radius: 1rem;
  transform: rotate(0deg);
  background-color: #fff;
  transition: 0.25s ease-in-out;
}

.burger-line:nth-child(1) {
  top: 0px;
}

.burger-line:nth-child(2) {
  top: 0.5rem;
  width: 70%;
}

.burger-line:nth-child(3) {
  top: 1rem;
}

.burger.is-active .burger-line:nth-child(1) {
  top: 0.5rem;
  transform: rotate(135deg);
}

.burger.is-active .burger-line:nth-child(2) {
  opacity: 0;
  visibility: hidden;
}

.burger.is-active .burger-line:nth-child(3) {
  top: 0.5rem;
  transform: rotate(-135deg);
}

/* banenr section start */

.banner {
  width: 100%;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 1rem;
  position: relative;
  overflow: hidden;
  background: var(--bg1);
}

.banner::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url(../img/banner.png) center center no-repeat;
  background-size: cover;
  z-index: 1;
}

.banner::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2;
}
.banner-inner {
  position: relative;
  z-index: 3;
}
.img-wrapper {
  overflow: hidden;
  position: relative;
}

.img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.9;
}

.img-wrapper::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.banner-img-row .img-wrapper {
  width: 50px;
  height: 50px;
  border-radius: 100%;
}
.banner-img-row {
  display: flex;
  align-items: center;
}
.banner-img-row .img-wrapper:not(:first-child) {
  margin-left: -10px;
}
.home-about-left-desc > p {
  width: 50%;
}
.home-about-left-desc svg {
  width: 35px;
  height: 26px;
  transform: rotate(-40deg) translateY(-10px);
}
.img-wrapper1 {
  overflow: hidden;
  position: relative;
  background-color: #000;
}
.img-wrapper1::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.2);
}
.img-wrapper1 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.9;
  transition: all 0.3s linear;
}
.img-wrapper1:hover img {
  transform: scale(1.05);
}

.home-about-left-link p,
.home-about-left-link svg path,
.home-about-left-link svg {
  transition: all 0.3s linear;
}
.home-about-left-link:hover p {
  color: var(--main-color);
}

.home-about-left-link:hover svg path {
  stroke: var(--main-color);
}

/* clip-path: path("M 00,0 L 480,0 L 500,200 L 480,220 L 350,220 L 330,240 L 330,280 L 310,300 L 20,300 L 0,280 Z"); */

/* home about section start */
.inverted-shape {
  width: 500px;
  height: 300px;
  background-color: var(--main-color);
  clip-path: path(
    "M 00,0 L 480,0 A 20,20 0,0,1 500,20 L 500,200 A 20,20 0,0,1 480,220 L 350,220 A 20,20 0,0,0 330,240 L 330,280  A 20,20 0,0,1 310,300 L 20,300 A 20,20 0,0,1 0,280 L 0,20 A 20,20 0,0,1 20,0 Z"
  );
}

/* featured section start */
.heading .divider {
  width: 100%;
  height: 0.7px;
  background-color: var(--lightwhite);
}
.featured-box {
  background-color: var(--bg2);
  border-radius: 8px;
  padding: 30px;
  border: 1px solid var(--border);
}
.featured-box .img-wrapper1 {
  width: 100%;
  height: 290px;
  border-radius: 8px;
  margin-bottom: 15px;
}
.featured-box1 .img-wrapper1 {
  height: auto;
  margin-bottom: 0;
}
.featured-box1:hover .img-wrapper1 img {
  transform: scale(1.05);
}
.skill-card {
  padding: 40px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
  border-radius: 8px;
}
.skill-card .icon-box {
  width: 60px;
  height: 60px;
  margin-bottom: 40px;
}
.skill-card .icon-box img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.swiper {
  overflow: visible;
}
.swiper-button-next::after,
.swiper-button-prev::after {
  display: none; /* remove default arrows */
}

.skill-swiper {
  position: relative;
  overflow: visible;
}
.skill-swiper .swiper-button-prev,
.skill-swiper .swiper-button-next,
.testimonials-swiper .swiper-button-prev,
.testimonials-swiper .swiper-button-next {
  position: absolute;
  padding: 8px;
  top: -25%;
  /* transform: translate(0); */
  right: 0;
  width: 50px;
  height: 50px;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid var(--border);
  cursor: pointer;
  transition: all 0.3s linear;
}

.skill-swiper .swiper-button-prev,
.testimonials-swiper .swiper-button-prev {
  left: unset;
  right: 65px;
}
.skill-swiper .swiper-pagination,
.testimonials-swiper .swiper-pagination {
  position: absolute;
  bottom: -30px !important;
  display: none;
}
.swiper-pagination-bullet {
  background-color: #fff;
}
.skill-section .heading h2 {
  max-width: 70%;
}

.parralex-section {
  display: grid;
  place-items: center;
  position: relative;
  min-height: 80vh;
  background-color: #000;
}
.parralex-box {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("../img/04.png");
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  opacity: 0.9;
}
.parralex-box::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: 0.3;
}

.video-main {
  position: relative;
  display: inline-block;
}

.video {
  height: 100px;
  width: 100px;
  line-height: 50px;
  text-align: center;
  border-radius: 100%;
  background: transparent;
  color: #fff;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 999;
}

.waves {
  position: absolute;
  top: -25px;
  left: -25px;
  width: 150px;
  height: 150px;
  background: rgba(255, 255, 255, 0.3);
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  border-radius: 100%;

  /* z-index: -1; */
  -webkit-animation: waves 5s ease-in-out infinite;
  animation: waves 5s ease-in-out infinite;
}

.wave-1 {
  -webkit-animation-delay: 0s;
  animation-delay: 0s;
}

.wave-2 {
  -webkit-animation-delay: 1s;
  animation-delay: 1s;
}

.wave-3 {
  -webkit-animation-delay: 2s;
  animation-delay: 2s;
}

.success-story-box {
  display: flex;
  align-items: center;
  gap: 100px;
  background-color: var(--bg2);
  padding: 40px;
  border-radius: 8px;
  border: 1px solid var(--border);
}

.success-story-box .img-wrapper1 {
  width: 40%;
  min-width: 40%;
  height: 350px;
  border-radius: 8px;
}

.testimonials-box {
  background-color: var(--bg2);
  padding: 40px;
  border-radius: 8px;
  border: 1px solid var(--border);
}

.testimonials-swiper .icon-box {
  width: 60px;
  height: 60px;
  margin-bottom: 30px;
}

.testimonials-swiper .icon-box svg {
  width: 100%;
  height: 100%;
}

.testimonials-swiper {
  overflow: visible;
}
.client h6 {
  min-width: 150px;
}

.swiper--top .swiper-container {
  width: 100%;
  height: 100%;
  position: relative;
}
.swiper--top .swiper-wrapper {
  -webkit-transition-timing-function: linear !important;
  transition-timing-function: linear !important;
  position: relative;
}
.swiper--top .swiper-slide {
  text-align: center;
  font-size: 33px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: auto;
  position: relative;
  overflow: hidden;
  padding: 0 15px;
  color: #fff;
}
.swiper--top .img-box img {
  max-width: 200px;
  height: 50px;
  object-fit: contain;
  filter: grayscale(100%);
  transition: all 0.3s linear;
}
.swiper--top .img-box:hover img {
  filter: grayscale(0%);
}

.client .container {
  overflow: hidden;
}

footer
{
  background-color: var(--bg2);
  border: 1px solid var(--border);
}
.footer .footer-widgets .img-box {
  width: auto;
  max-width: 200px;
  height: 70px;
  object-fit: contain;
}

.footer .footer-widgets .img-box img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.footer-widgets2 ul li {
  margin-bottom: 8px;
}
.footer-widgets2 ul li a p {
  transition: all 0.3s linear;
}

.footer-widgets2 ul li a:hover p {
  color: var(--main-color);
}

footer .form-group {
  position: relative;
  background-color: var(--bg2);
  padding: 8px;
  border-radius: 10px;
  border: 1px solid var(--border);
}
footer .form-group button {
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  width: 50px;
  background-color: transparent;
  outline: none;
  border: none;
}
.footer-form .form-control {
  background-color: transparent;
  border-radius: 0;
  border: none;
  color: #fff;
  font-size: 16px;
}
.footer-form .form-control::placeholder {
  color: var(--lightwhite);
}

.footer-form .form-control:focus {
  box-shadow: none;
  color: var(--lightwhite);
}

@keyframes waves {
  0% {
    -webkit-transform: scale(0.2, 0.2);
    transform: scale(0.2, 0.2);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  }
  50% {
    opacity: 0.9;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=90)";
  }
  100% {
    -webkit-transform: scale(0.9, 0.9);
    transform: scale(0.9, 0.9);
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  }
}

/* opacity anmation */
@keyframes opacityAnimation {
  0% {
    opacity: 0.3;
  }
  50% {
    opacity: 0.7;
  }
  100% {
    opacity: 0.3;
  }
}

/* about us page start */
.inner-banner {
  padding-top: 180px !important;
  background-color: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 1;
}
.inner-banner-content {
  max-width: 800px;
  margin-left: auto;
  margin-right: auto;

}
.inner-banner .breadcrumb-item a,
.inner-banner .breadcrumb-item,
.breadcrumb-item + .breadcrumb-item::before {
  color: #fff;
  transition: all 0.3s linear;
}
.inner-banner .breadcrumb-item a:hover {
  color: var(--main-color);
}
.breadcrumb-item + .breadcrumb-item::before {
  padding-right: 15px;
}

.about-section .about-img {
  width: 70%;
  height: 600px;
  margin-left: auto;
  transition: all 0.3s linear;
  border-radius: 8px;
  background-color: #000;
}
.about-section .about-img img {
  opacity: 0.6;
}

.who .card {
  padding: 30px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
  border-radius: 8px;
}

.who .card .card-icon {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  margin-bottom: 20px;
}
.who .card .card-icon svg {
  width: 100%;
  height: 100%;
}
.who .card .card-icon svg path {
  fill: var(--white);
}
.scroll-text {
  position: relative;
  top: 50%;
  font-size: 120px;
  white-space: nowrap;
  transform: translateX(100%); /* start off screen to the right */
  transition: transform 0.1s linear;
}

.newsletter-box {
  width: 100%;
  height: auto;
  padding: 120px 40px;
  text-align: center;
  border-radius: 8px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
}

.newsletter .form-conrol {
  width: 350px;
  height: 50px;
  padding: 8px 12px;
  border: 1px solid var(--border);
  border-radius: 0px;
  background-color: var(--bg2);
  color: var(--white);
}

.newsletter-img {
  position: absolute;
  width: 70px;
  height: 70px;
  border-radius: 100%;
  overflow: hidden;
}
.newsletter-img1 {
  top: 30px;
  left: 200px;
}
.newsletter-img2 {
  top: 45%;
  left: 100px;
}
.newsletter-img3 {
   top: 30px;
  right: 200px;
}
.newsletter-img4 {
  top: 45%;
  right: 100px;
}

.newsletter-box p {
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
}



/* <========== courses page start ==========> */
.courses-list .featured-box .img-wrapper1
{
  height: 220px;
}
.pagination .page-item .page-link{
  width: 50px;
  height: 50px;
  border-radius: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
  background-color: rgba(252, 42, 56, 0.2);
  color: var(--white);
  border: 0;
}

.pagination .page-item.active .page-link{
  background-color: var(--main-color);
  color: var(--white);
}
.pagination .page-item .page-link:focus
{
  box-shadow: none;
}
.pagination .page-item .page-link svg path{
  fill: var(--white);
}

/* <========== blog page start ==========> */
.blog-card {
  background-color: var(--bg2);
  border-radius: 8px;
  overflow: hidden;
}

.blog-card {
  background-color: var(--bg2);
  border-radius: 8px;
  border: 1px solid var(--border);
}

.blog-card .card-body {
  padding: 30px;
}
.blog-card .card-img {
  width: 100%;
  height: 240px;
}
.blog-card .desc{
display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;   /* number of lines */
  line-clamp: 2;
  overflow: hidden;
}

/* contact us page start */
.contact-details-box {
  width: 100%;
  height: 100%;
  padding: 40px 30px;
  border-radius: 8px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.contact-details-box svg {
  width: 34px;
  min-width: 34px;
  height: 34px;
}

.contact-details-box svg path {
  fill: var(--main-color);
}
.contact-details-box p
{
  font-size: 16px !important;
}
.map iframe {
    width: 100%;
    height: 100%;
    border-radius: 8px;
    overflow: hidden;
    position: relative;
    opacity: 0.8;
    background-color: var(--bg2);
}

.map
{
  position: relative;
  height: 100%;
}

.contact-form {
  width: 100%;
  height: 100%;
  padding: 40px 30px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
  border-radius: 8px;
}
.contact-form .form-control,
.blog-review .form-control {
  width: 100%;
  height: 50px;
  padding: 8px 12px;
  border: 1px solid var(--border);
  border-radius: 4px;
  background-color: var(--bg2);
  color: var(--white);
}
.contact-form .form-control::placeholder,
.blog-review .form-control::placeholder
 {
  color: var(--lightwhite);
  font-weight: 400;
}
.contact-form .form-control:focus,
.blog-review .form-control:focus
 {
  box-shadow: none;
}
.contact-form textarea,
.blog-review textarea
 {
    height: 150px !important;
    resize: none;
}



/* <==========blog details page start ==========> */
.blog-details-main-img {
  width: 100%;
  height: 450px;
  border-radius: 8px;
}



/* blog details page start */
.blog-details-left .first::first-letter {
  float: left;
  margin-right: 8px;
  font-weight: 400;
  font-size: 40px;
  line-height: 1.0;
  color: #fff;
  border-radius: 4px;
  margin-top: 4px;
}

.blog-details-left .desc .img-box {
  width: 100%;
  height: 250px;
  border-radius: 15px;
  overflow: hidden;
}
.blog-details-left .desc .img-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.5s linear;
}
.blog-details-left .desc .img-box img:hover {
  transform: scale(1.05);
}

.blog-details-left .block-img {
  width: 100%;
  height: 480px;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 4px 10px 30px rgba(0, 0, 0, 0.1);
  transition: all 0.5s linear;
}
.blog-details-left .block-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.blog-details-left .desc1 h3,
.blog-details-left .desc2 h3,
.blog-details-left .desc4 h3,
.blog-details-left .desc6 h3,
.blog-details-left .desc7 h3
 {
  color: var(--black);
}
.blog-details-left .desc2 {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.blog-details-left .desc2 .author {
  padding: 22px 30px 32px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
  border-radius: 15px;
  display: flex;
  gap: 25px;

}

.blog-details-left .desc2 .author .icon-box svg {
  width: 32px;
  height: 32px;
  object-fit: contain;
}
.blog-details-left .desc2 .author .box {
  background-color: var(--main-color);
  padding: 10px 30px;
  position: absolute;
  bottom: -25px;
  left: 5%;
  transform: skew(-25deg, 0deg);
}
.blog-details-left .desc4 ul li {
  display: flex;
  align-items: center;
  gap: 10px;
}

.blog-details-left .desc4 {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.blog-details-left .desc4 ul li:not(:last-child) {
  margin-bottom: 10px;
}

.blog-details-left .tags div {
  display: flex;
  align-items: center;
  gap: 15px;
  flex-wrap: wrap;
}
.blog-details-left .tags p {
  padding: 10px 15px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
  border-radius: 100px;
}
.blog-social-box {
  display: flex;
  align-content: center;
  gap: 10px;
  padding: 10px 20px;
  border: 1px solid var(--border);
  border-radius: 50px;
}
.blog-social-box svg {
  width: 24px;
  height: 24px;
  object-fit: contain;
}

.blog-review textarea {
  width: 100%;
  height: 150px;
  border: 0;
  border-bottom: 1px solid var(--border);
  resize: none;
  outline: 0;
}

.blog-details-left .desc3 .img-box {
  width: 100%;
  height: 250px;
  border-radius: 8px;
  overflow: hidden;
}
.blog-details-left .desc3 .img-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.blog-details .desc4 .dots li{
  list-style: circle;
  position: relative;
  margin-left: 15px;
}

.blog-details .desc4 .dots li::before{
  content: "•";       /* custom bullet */
  color: var(--lightwhite);        /* custom color */
  position: absolute;
  left: -15px;
}





.recent_blog {
  width: 100%;
  height: auto;
  border-radius: 15px;
  background-color: transparent;
  border: 0;
  transition: all 0.5s linear;
}

.recent_blog .card-title {
  border-bottom: 1px solid var(--border);
}
.recent_blog .card-body {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 0px 30px;
}
.recent_blog .img-box {
  width: 70px;
  min-width: 70px;
  height: 70px;
  overflow: hidden;
  border-radius: 4px;
}
.recent_blog .img-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: all 0.3s linear;
}
.recent_blog .box {
  display: flex;
  align-items: center;
  gap: 15px;
}

.recent_blog .box svg {
  width: 16px;
  height: 16px;
  object-fit: contain;
}

.recent_blog .box span {
  color: var(--lightwhite);
}

.recent_blog .box h5 {
  font-weight: 400;
  color: var(--white);
  transition: all 0.3s linear;
}
.recent_blog .box:hover h5 {
  color: var(--main-color);
}
.recent_blog .box:hover .img-box img {
  transform: scale(1.1);
}


/* <========== course details page start ==========> */
.featured-box-content  p{
  display: -webkit-box;
  -webkit-line-clamp: footer;   /* max 3 lines */
  -webkit-box-orient: vertical;
  overflow: hidden;
}


.course-details .course-main-image{
    width: 100%;
    height: 600px;
    border-radius: 8px;
    overflow: hidden;
}
.course-details-content .desc {
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-bottom: 24px;
}
.sidebar-course {
  width: 100%;
  height: auto;
  padding: 30px;
  background-color: var(--bg2);
  border-radius: 8px;
  border: 1px solid var(--border);
}
.sidebar-course .heading {
  padding-bottom: 10px;
  margin-bottom: 15px;
  border-bottom: 1px solid var(--border);
}

.sidebar-course ul li a {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 8px;
}
.sidebar-course ul li a svg {
  width: 24px;
  height: 24px;
  object-fit: contain;
}
.sidebar-course ul li a h6 {
  color: var(--white);
  font-weight: 400;
  transition: all 0.3s linear;
}
.sidebar-course ul li a:hover h6 {
  color: var(--main-color);
}
.course-contact {
  width: 100%;
  height: auto;
  padding: 30px;
  border-radius: 8px;
  background: url('../img/img1.webp') no-repeat center / cover;
  position: relative;
}
.course-contact::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 8px;
}
.course-contact .content {
  position: relative;
  z-index: 3;
  text-align: center;
}
.course-contact .content .icon-box {
  width: 50px;
  height: 50px;
  border-radius: 50%;

  margin: 0 auto;
  margin-bottom: 15px;
}
.course-contact .content .icon-box img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.course-contact h3{
  font-size: 28px;
}
.course-details-content .img-box{
  width: 100px;
  height: 100px;
  background-color: var(--bg2);
  border: 1px solid var(--border);
  border-radius: 4px;
  display: grid;
  place-items: center;
  padding: 15px;
}
.course-details-content .img-box img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  filter: grayscale(100%);
  transition: all 0.3s linear;
}

.course-details-content .img-box:hover img {
  filter: grayscale(0%);
}
.course-details-content .desc3 {
  display: flex;
  flex-direction: row;
  gap: 24px;
  flex-wrap: wrap;
  margin-bottom: 24px;
}
.course-details-content .desc4 .img-wrapper1{
  height: 450px;
  border-radius: 8px;
  overflow: hidden;
}
